Blockly.JavaScript['map_value'] = function(block) {
  var value_value = Blockly.JavaScript.valueToCode(block, 'value', Blockly.JavaScript.ORDER_ATOMIC);
  var value_fromlow = Blockly.JavaScript.valueToCode(block, 'fromLow', Blockly.JavaScript.ORDER_ATOMIC);
  var value_fromhigh = Blockly.JavaScript.valueToCode(block, 'fromHigh', Blockly.JavaScript.ORDER_ATOMIC);
  var value_tolow = Blockly.JavaScript.valueToCode(block, 'toLow', Blockly.JavaScript.ORDER_ATOMIC);
  var value_tohigh = Blockly.JavaScript.valueToCode(block, 'toHigh', Blockly.JavaScript.ORDER_ATOMIC);
  var code = `(${value_value} - ${value_fromlow}) * (${value_tohigh} - ${value_tolow}) / (${value_fromhigh} - ${value_fromlow}) + ${value_tolow}`
  return [code, Blockly.JavaScript.ORDER_NONE];
};

